package com.jevon.mapper;

import com.jevon.model.Teacher;
import com.jevon.model.TeacherClass;

import java.util.List;

public interface TeacherClassMapper {

    int insert(TeacherClass record);

    int updateByPrimaryKey(TeacherClass record);

    int insertBatch(List<TeacherClass> teacherClasses);

    List<TeacherClass> selectByCourseName(TeacherClass teacherClass);

    TeacherClass selectByTeacher(TeacherClass teacherClass);

    TeacherClass selectByCourseAndClass(TeacherClass teacherClass);

    List<TeacherClass> selectBySchoolAndTeam(TeacherClass teacherClass);

    int deleteBySchoolAndTeam(TeacherClass teacherClass);

    TeacherClass selectById(int tClassId);

    int updateSchedule(int tClassId);

    int selectHasSchedule(TeacherClass teacherClass);

    int recallTeacherClass(int tClassId);
}